import React__default from 'react';
import { render, screen } from '@testing-library/react';
import Textarea from '../index.js';
import '../../extends-C4cduGrv.js';
import '../../defineProperty-CEd-kZQW.js';
import '../../objectWithoutProperties-TXwlfNxG.js';
import 'classnames';
import 'prop-types';
import '../../stack/index.js';
import '../../label/index.js';
import '@reach/visually-hidden';
import '../../ck-icon/index.js';
import '../../ck-icon/assets/icon-map/index.js';
import '../../icon/index.js';
import '@fortawesome/react-fontawesome';
import '../../icon/icons.js';
import '../../icon/library.js';
import '@fortawesome/fontawesome-svg-core';
import '@fortawesome/pro-solid-svg-icons';
import '@fortawesome/pro-light-svg-icons';
import '@fortawesome/free-brands-svg-icons';
import '../../text/index.js';

var ExampleTextarea = function ExampleTextarea() {
  return /*#__PURE__*/React__default.createElement(Textarea, {
    placeholder: "Enter your username",
    label: "Username",
    id: "username"
  });
};

describe("Textarea", function () {
  test("component renders", function () {
    render( /*#__PURE__*/React__default.createElement(ExampleTextarea, null));
    var textarea = screen.getByLabelText("Username", {
      selector: "textarea"
    });
    expect(textarea).toBeInTheDocument();
  });
});
